<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>组织配置</title>
	<meta name="renderer" content="webkit">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<link rel="stylesheet" href="../lib/layui-v2.6.3/css/layui.css" media="all">
	<link rel="stylesheet" href="../css/public.css" media="all">
</head>
<body>
<div class="layuimini-container">
    <div class="layuimini-main">

        <table class="layui-hide" id="currentTableId" lay-filter="currentTableFilter"></table>
		
		<script type="text/html" id="currentTableBar">
		    <a class="layui-btn layui-btn-normal layui-btn-xs data-count-edit" lay-event="edit">编辑</a>
		    <a class="layui-btn layui-btn-xs layui-btn-danger data-count-delete" lay-event="delete">删除</a>
		</script>
		
		<script type="text/html" id="toolbarTop">
		    <div class="layui-btn-container">
		        <button class="layui-btn layui-btn-normal layui-btn-sm data-add-btn" lay-event="add"> 添加 </button>
		    </div>
		</script>

    </div>
</div>
<script src="../lib/layui-v2.6.3/layui.js" charset="utf-8"></script>
<script th:inline="none">
    layui.use(['form', 'table'], function () {
        var $ = layui.$,
            form = layui.form,
            table = layui.table;
		/**
		 * 初始化表单，要加上，不然刷新部分组件可能会不加载
		 */
		form.render();
		
        table.render({
            elem: '#currentTableId',
            url: '/sys/tenant/list',
            toolbar: '#toolbarTop',
            cols: [[
                {field: 'name', title: '企业名称'},
				{field: 'contact', title: '联系方式'},
				{title: '操作', toolbar: '#currentTableBar', align: "center", minWidth: 120}
            ]],
            limits: [10, 15, 20, 25, 50, 100],
            limit: 15,
            page: true,
            skin: 'line'
        });

		/**
		 * toolbar事件监听
		 */
		table.on('toolbar(currentTableFilter)', function (obj) {
			if (obj.event === 'add') {
				var index = layer.open({
					title: '新增企业部门',
					type: 2,
					shade: 0.2,
					maxmin:true,
					shadeClose: true,
					area: ['100%', '100%'],
					content: '../sys/tenant/add'
				});
				$(window).on("resize", function () {
					layer.full(index);
				});
			}
		});

		table.on('tool(currentTableFilter)', function (obj) {
			var data = obj.data;
			if (obj.event === 'edit') {
				var index = layer.open({
					title: '修改组织',
					type: 2,
					shade: 0.2,
					maxmin:true,
					shadeClose: true,
					area: ['100%', '100%'],
					content: '../sys/tenant/edit',
					success: function(layero, index) {
						var iframe = window['layui-layer-iframe' + index];
						iframe.setParams(data);
					}
				});
				$(window).on("resize", function () {
					layer.full(index);
				});
				return false;
			} else if (obj.event === 'delete') {
				layer.confirm('确定删除'+data.name+"?", function(index){
					$.ajax({
						type:"POST",
						url:"/sys/tenant/delete",
						data:{
							'name':data.name
						},
						success: function (data) {
							//data是cotroller相应处理函数的返回值
							table.reload('currentTableId');
						},
						error: function () {
							console.log("ajax error");
						}
					});
					layer.close(index);
				});
			}
		});

    });

	function onBaseParaUpdated(){
		layui.table.reload('currentTableId');
	}

</script>

</body>
</html>